This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1477992 - Remove hammer import subcommand
Remove hammer import subcommand
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: Eric Helms
Lukas Pramuk
: Triaged
Depends On:
Blocks: 1479899
  Show dependency treegraph
 
Reported: 2017-08-03 08:15 EDT by Lukas Pramuk
Modified: 2017-09-18 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Katello/katello-packaging/pull/496 None None None 2017-08-08 21:54 EDT

  None (edit)
Description Lukas Pramuk 2017-08-03 08:15:57 EDT
Description of problem:
Hammer import sub-command is slated for removal in Satellite 6.3
Therefore tfm-rubygem-hammer_cli_import shall be removed from 6.3 composes.

Version-Release number of selected component (if applicable):
@satellite-6.3.0-16.0.beta.el7sat.noarch
tfm-rubygem-hammer_cli_import-0.11.3-3.el7sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. # hammer import 
Usage:
...


Actual results:
hammer import subcommand is present 

Expected results:
hammer import subcommand is removed
Comment 2 Lukas Pramuk 2017-09-04 11:38:36 EDT
FailedQA.

@satellite-6.3.0-17.0.beta.el7sat.noarch
katello-common-3.4.5-1.el7sat.noarch
tfm-rubygem-hammer_cli_import-0.11.3-3.el7sat.noarch

# hammer import
Usage:
...

# rpm -q --whatrequires tfm-rubygem-hammer_cli_import
katello-common-3.4.5-1.el7sat.noarch

>>> katello-common still pulls in the package slated for removal
Comment 3 Lukas Pramuk 2017-09-18 14:15:30 EDT
VERIFIED.

@satellite-6.3.0-18.0.beta.el7sat.noarch
satellite-cli-6.3.0-18.0.beta.el7sat.noarch
katello-common-3.4.5-2.el7sat.noarch

# hammer import
Error: No such sub-command 'import'

# rpm -q --whatrequires tfm-rubygem-hammer_cli_import
no package requires tfm-rubygem-hammer_cli_import

>>> tfm-rubygem-hammer_cli_import is no longer installed

Note You need to log in before you can comment on or make changes to this bug.